Subject: Re: [netmod] 告警草案的两个问题，请光迎帮忙转发给作者咨询下

From: "Zhengguangying (Walker)" <[email-masked]>
Date: Thu, 31 Aug 2017 01:45:49 +0000

Hi all,

I have read  the “draft-vallin-netmod-alarm-module-02”, we have some comments want to discuss with you all,

https://www.ietf.org/id/draft-vallin-netmod-alarm-module-02.txt

notification alarm-notification {
  description
"This notification is used to report a state change for an
alarm. The same notification is used for reporting a newly
raised alarm, a cleared alarm or changing the text and/or
severity of an existing alarm.";
uses common-alarm-parameters;
uses alarm-state-change-parameters;
}

1. In alarm-notification, I have not find “is-cleared”, how to express alarm  active or cleared ?
2. What is your suggestion for “alarm reason” in alarm-notification or alarm-list? I have not find it in the draft.

Please help to confirm these comments, thanks

Regards
Zhangjun, Walker

 common-alarm-parameters   // Without “is-cleared”,how to express alarm  active or cleared ?
    resource
    alarm-type-id
    alarm-type-qualifier
    alt-resource
    related-alarm*
      resource
      alarm-type-id
      alarm-type-qualifier
    impacted-resource
    root-cause-resource*

 alarm-state-change-parameters  // Without “is-cleared”,how to express alarm is active or cleared ?
    time
    perceived-severity
    alarm-text

Zhangjun
walker